For the complete documentation index, see llms.txt. This page is also available as Markdown.

Status Zu Deals

Manage CRM deal statuses in VARIO Cloud via API, including creation, updates, activation, ordering, billing readiness and completion rules.

CRM Deals: Statusverwaltung

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

Status eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Required

Sortierreihenfolge

startStatebooleanOptional

Handelt es sich um einen Anfang-Status

Default: false
finishStatebooleanOptional

Handelt es sich um einen End-Status

Default: false
readyToBillbooleanOptional

Handelt es sich um einen "Bereit zur Abrechnung"-Status

Default: false
needsCommentOnPositiveFinishbooleanOptional

Kommentar bei positivem Abschluß erforderlich

Default: false
needsCommentOnNegativeFinishbooleanOptional

Kommentar bei negativem Abschluß erforderlich

Default: false
activebooleanRead-onlyOptional

active

get/erp/crm-deals/states/{id}
GET /erp/crm-deals/states/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "crmSubTypes": [],
  "sortOrder": 1,
  "startState": false,
  "finishState": false,
  "readyToBill": false,
  "needsCommentOnPositiveFinish": false,
  "needsCommentOnNegativeFinish": false,
  "active": true,
  "portalEnumRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

Status eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Required

Sortierreihenfolge

startStatebooleanOptional

Handelt es sich um einen Anfang-Status

Default: false
finishStatebooleanOptional

Handelt es sich um einen End-Status

Default: false
readyToBillbooleanOptional

Handelt es sich um einen "Bereit zur Abrechnung"-Status

Default: false
needsCommentOnPositiveFinishbooleanOptional

Kommentar bei positivem Abschluß erforderlich

Default: false
needsCommentOnNegativeFinishbooleanOptional

Kommentar bei negativem Abschluß erforderlich

Default: false
activebooleanRead-onlyOptional

active

Responses
200

successful operation

application/json

Status eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Required

Sortierreihenfolge

startStatebooleanOptional

Handelt es sich um einen Anfang-Status

Default: false
finishStatebooleanOptional

Handelt es sich um einen End-Status

Default: false
readyToBillbooleanOptional

Handelt es sich um einen "Bereit zur Abrechnung"-Status

Default: false
needsCommentOnPositiveFinishbooleanOptional

Kommentar bei positivem Abschluß erforderlich

Default: false
needsCommentOnNegativeFinishbooleanOptional

Kommentar bei negativem Abschluß erforderlich

Default: false
activebooleanRead-onlyOptional

active

put/erp/crm-deals/states/{id}
PUT /erp/crm-deals/states/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 285

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "crmSubTypes": [],
  "sortOrder": 1,
  "startState": false,
  "finishState": false,
  "readyToBill": false,
  "needsCommentOnPositiveFinish": false,
  "needsCommentOnNegativeFinish": false,
  "portalEnumRef": {
    "id": "text",
    "label": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "crmSubTypes": [],
  "sortOrder": 1,
  "startState": false,
  "finishState": false,
  "readyToBill": false,
  "needsCommentOnPositiveFinish": false,
  "needsCommentOnNegativeFinish": false,
  "active": true,
  "portalEnumRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-deals/states/{id}
DELETE /erp/crm-deals/states/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json

Status eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Required

Sortierreihenfolge

startStatebooleanOptional

Handelt es sich um einen Anfang-Status

Default: false
finishStatebooleanOptional

Handelt es sich um einen End-Status

Default: false
readyToBillbooleanOptional

Handelt es sich um einen "Bereit zur Abrechnung"-Status

Default: false
needsCommentOnPositiveFinishbooleanOptional

Kommentar bei positivem Abschluß erforderlich

Default: false
needsCommentOnNegativeFinishbooleanOptional

Kommentar bei negativem Abschluß erforderlich

Default: false
activebooleanRead-onlyOptional

active

put/erp/crm-deals/states/{id}/deactivate
PUT /erp/crm-deals/states/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "crmSubTypes": [],
  "sortOrder": 1,
  "startState": false,
  "finishState": false,
  "readyToBill": false,
  "needsCommentOnPositiveFinish": false,
  "needsCommentOnNegativeFinish": false,
  "active": true,
  "portalEnumRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json

Status eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Required

Sortierreihenfolge

startStatebooleanOptional

Handelt es sich um einen Anfang-Status

Default: false
finishStatebooleanOptional

Handelt es sich um einen End-Status

Default: false
readyToBillbooleanOptional

Handelt es sich um einen "Bereit zur Abrechnung"-Status

Default: false
needsCommentOnPositiveFinishbooleanOptional

Kommentar bei positivem Abschluß erforderlich

Default: false
needsCommentOnNegativeFinishbooleanOptional

Kommentar bei negativem Abschluß erforderlich

Default: false
activebooleanRead-onlyOptional

active

put/erp/crm-deals/states/{id}/activate
PUT /erp/crm-deals/states/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "crmSubTypes": [],
  "sortOrder": 1,
  "startState": false,
  "finishState": false,
  "readyToBill": false,
  "needsCommentOnPositiveFinish": false,
  "needsCommentOnNegativeFinish": false,
  "active": true,
  "portalEnumRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

moves a line to a new position

put
Path parameters
dealStateIdinteger · int64Required
positioninteger · int32Required
Responses
200

OK

application/json

Status eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Required

Sortierreihenfolge

startStatebooleanOptional

Handelt es sich um einen Anfang-Status

Default: false
finishStatebooleanOptional

Handelt es sich um einen End-Status

Default: false
readyToBillbooleanOptional

Handelt es sich um einen "Bereit zur Abrechnung"-Status

Default: false
needsCommentOnPositiveFinishbooleanOptional

Kommentar bei positivem Abschluß erforderlich

Default: false
needsCommentOnNegativeFinishbooleanOptional

Kommentar bei negativem Abschluß erforderlich

Default: false
activebooleanRead-onlyOptional

active

put/erp/crm-deals/states/{dealStateId}/move/{position}
PUT /erp/crm-deals/states/{dealStateId}/move/{position} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "crmSubTypes": [],
  "sortOrder": 1,
  "startState": false,
  "finishState": false,
  "readyToBill": false,
  "needsCommentOnPositiveFinish": false,
  "needsCommentOnNegativeFinish": false,
  "active": true,
  "portalEnumRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}
get
Responses
200

OK

application/json

Status eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Required

Sortierreihenfolge

startStatebooleanOptional

Handelt es sich um einen Anfang-Status

Default: false
finishStatebooleanOptional

Handelt es sich um einen End-Status

Default: false
readyToBillbooleanOptional

Handelt es sich um einen "Bereit zur Abrechnung"-Status

Default: false
needsCommentOnPositiveFinishbooleanOptional

Kommentar bei positivem Abschluß erforderlich

Default: false
needsCommentOnNegativeFinishbooleanOptional

Kommentar bei negativem Abschluß erforderlich

Default: false
activebooleanRead-onlyOptional

active

get/erp/crm-deals/states
GET /erp/crm-deals/states HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

Create new Resource

post
Body

Status eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Required

Sortierreihenfolge

startStatebooleanOptional

Handelt es sich um einen Anfang-Status

Default: false
finishStatebooleanOptional

Handelt es sich um einen End-Status

Default: false
readyToBillbooleanOptional

Handelt es sich um einen "Bereit zur Abrechnung"-Status

Default: false
needsCommentOnPositiveFinishbooleanOptional

Kommentar bei positivem Abschluß erforderlich

Default: false
needsCommentOnNegativeFinishbooleanOptional

Kommentar bei negativem Abschluß erforderlich

Default: false
activebooleanRead-onlyOptional

active

Responses
200

successful operation

application/json

Status eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Required

Bezeichnung

descriptionstringOptional

Beschreibung

sortOrderinteger · int32Required

Sortierreihenfolge

startStatebooleanOptional

Handelt es sich um einen Anfang-Status

Default: false
finishStatebooleanOptional

Handelt es sich um einen End-Status

Default: false
readyToBillbooleanOptional

Handelt es sich um einen "Bereit zur Abrechnung"-Status

Default: false
needsCommentOnPositiveFinishbooleanOptional

Kommentar bei positivem Abschluß erforderlich

Default: false
needsCommentOnNegativeFinishbooleanOptional

Kommentar bei negativem Abschluß erforderlich

Default: false
activebooleanRead-onlyOptional

active

post/erp/crm-deals/states
POST /erp/crm-deals/states HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 285

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "crmSubTypes": [],
  "sortOrder": 1,
  "startState": false,
  "finishState": false,
  "readyToBill": false,
  "needsCommentOnPositiveFinish": false,
  "needsCommentOnNegativeFinish": false,
  "portalEnumRef": {
    "id": "text",
    "label": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "crmSubTypes": [],
  "sortOrder": 1,
  "startState": false,
  "finishState": false,
  "readyToBill": false,
  "needsCommentOnPositiveFinish": false,
  "needsCommentOnNegativeFinish": false,
  "active": true,
  "portalEnumRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

Last updated

Was this helpful?